### Name: svm.fs
### Title: Fits SVM mit variable selection using penalties.
### Aliases: svm.fs svm.fs.default run.scad run.1norm
### Keywords: models multivariate optimize

### ** Examples


my.seed<- 123

train<-sim.data(n = 200, ng = 100, nsg = 10, corr=FALSE, seed=my.seed )
print(str(train)) 

# train SCAD SVM ####################
# define set values of tuning parameter lambda1 for SCAD 
lambda1.scad <- c (seq(0.01 ,0.05, .01),  seq(0.1,0.5, 0.2), 1 ) 
# for presentation don't check  all lambdas : time consuming! 
lambda1.scad<-lambda1.scad[2:3]
# 
# train SCAD SVM
fit.scad<- svm.fs(x=t(train$x),y=train$y, fs.method="scad", cross.outer= 0, lambda1.set=lambda1.scad, seed=my.seed)
        
        
# train 1NORM SVM       ################        
# define set values of tuning parameter lambda1 for 1norm
epsi.set<-vector(); for (num in (1:9)) epsi.set<-sort(c(epsi.set, c(num*10^seq(-5, -1, 1 ))) )
# for presentation don't check  all lambdas : time consuming! 
lambda1.1norm <-        epsi.set[c(3,5)] # 2 params

# train 1norm SVM
# time consuming: for presentation only for the first 100 samples    
## DON'T RUN : fit.1norm<- svm.fs(x=t(train$x),y=train$y, fs.method="1norm", cross.outer= 0, lambda1.set=lambda1.1norm, seed=my.seed)
fit.1norm<- svm.fs(x=t(train$x)[1:100,],y=train$y[1:100], fs.method="1norm", cross.outer= 0, lambda1.set=lambda1.1norm, seed=my.seed)
        
    




